
QGIS Application - Bug report #20299

crashed

2018-10-31 03:10 PM - Torsten Hase

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28120

Description

User Feedback

I don't know. There was only a shapefile and a wms loaded.

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Associated revisions

Revision fd5a1c82 - 2018-11-01 10:32 PM - Nyall Dawson

Fix crash on Windows on idle/usb notifications
Fixes #20312, #20319, #20312, #20307, #20299, #20297, #20280

(maybe others)

Revision 4659e692 - 2018-11-01 11:54 PM - Nyall Dawson

Fix crash on Windows on idle/usb notifications

Fixes #20312, #20319, #20312, #20307, #20299, #20297, #20280

(maybe others)

(cherry picked from commit fd5a1c82ec212c58c446ccb13e537484d44b6862)

History

#1 - 2018-10-31 04:02 PM - Sergio Velasquez

User Feedback

I have doing nothing. QGIS just was open and minimized. Even it does not have any data loaded (blank project) when sudenly the message that QGIS has

crashed appears.

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#2 - 2018-10-31 05:47 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from GUI to Build/Install
Please try again with a clean/new profile.

#3 - 2018-11-01 10:32 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|fd5a1c82ec212c58c446ccb13e537484d44b6862.

2025-05-18 3/3


